import type { Node, Element } from "antihtml";

export interface Page {
	title: string,
	ref: string,
	content: Element,
}

export interface ProjectMeta {
	status: 'draft' | 'published',
	title: string,
	ref: string,
	startedAt: string,
	endedAt?: string,
};

export interface Project extends ProjectMeta {
	content: Node,
};

export interface WordsMeta {
	status: "draft" | "published",
	title: string,
	ref: string,
}

export interface Words extends WordsMeta {
	content: Node,
};
